Create a Tax Category
Creates a Tax Category
POST
/
api
/
v2
/
platform
/
tax_categories
Create a Tax Category
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tax_category: {
name: 'Clothing',
is_default: true,
tax_code: '1257L',
description: 'Men\'s, women\'s and children\'s branded clothing'
}
})
};
fetch('http://{defaultHost}/api/v2/platform/tax_categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/tax_categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"tax_category": {
"name": "Clothing",
"is_default": true,
"tax_code": "1257L",
"description": "Men's, women's and children's branded clothing"
}
}
EOF{
"data": {
"id": "157",
"type": "tax_category",
"attributes": {
"name": "TaxCategory - 646810",
"description": "Facilis quis quos unde reiciendis.",
"is_default": false,
"deleted_at": null,
"created_at": "2022-11-08T19:35:42.001Z",
"updated_at": "2022-11-08T19:35:42.001Z",
"tax_code": null
},
"relationships": {
"tax_rates": {
"data": []
}
}
}
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a Tax Category
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tax_category: {
name: 'Clothing',
is_default: true,
tax_code: '1257L',
description: 'Men\'s, women\'s and children\'s branded clothing'
}
})
};
fetch('http://{defaultHost}/api/v2/platform/tax_categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/tax_categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"tax_category": {
"name": "Clothing",
"is_default": true,
"tax_code": "1257L",
"description": "Men's, women's and children's branded clothing"
}
}
EOF{
"data": {
"id": "157",
"type": "tax_category",
"attributes": {
"name": "TaxCategory - 646810",
"description": "Facilis quis quos unde reiciendis.",
"is_default": false,
"deleted_at": null,
"created_at": "2022-11-08T19:35:42.001Z",
"updated_at": "2022-11-08T19:35:42.001Z",
"tax_code": null
},
"relationships": {
"tax_rates": {
"data": []
}
}
}
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
